package cn.com.ctop.finance.payment.service;

import cn.com.ctop.finance.payment.entity.FinancePaymentApplication;
import cn.com.ctop.finance.payment.entity.FinancePaymentPool;
import cn.com.ctop.finance.payment.entity.FinancePaymentRechargeApplication;
import com.alibaba.fastjson.JSONObject;
import com.baomidou.mybatisplus.extension.service.IService;
import org.jeecg.common.api.vo.Result;

/**
 * 款项池表
 *
 * @author jeecg-boot
 * 2023-04-11
 * @version V1.0
 */
public interface IFinancePaymentPoolService extends IService<FinancePaymentPool> {

    void add(FinancePaymentRechargeApplication oldRecharge, FinancePaymentApplication oldApplication);

    FinancePaymentPool getIdByUniqueKey(String advertiserName, Long productId, String paymentMedia, String paymentPort);

    Result<Object> querySheetIdAndNameList(JSONObject data);

    void reduce(FinancePaymentRechargeApplication oldRecharge, FinancePaymentApplication oldApplication);

    Result<Object> queryPoolProjectList(String advertiserId, Long productId, String type);

    Result<Object> queryPoolAmountById(String advertiserId, Long productId, String type, String paymentPort);

    Result<Object> queryPaymentPort(String advertiserId, Long productId, String paymentMedia);

    Result<Object> queryPoolAccountList(String advertiserId, Long projectId, String type);
}
